Main Page Packages Class Hierarchy Compound List File List Compound Members

# nodegetownerdocumentnull Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| nodegetownerdocumentnull (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The "getOwnerDocument()" method returns null if the target

node itself is a document.

Invoke the "getOwnerDocument()" method on the master

document. The Document returned should be null.

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#node-ownerDoc

Definition at line 49 of file nodegetownerdocumentnull.java.

## Constructor & Destructor Documentation

nodegetownerdocumentnull::nodegetownerdocumentnull | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 51 of file nodegetownerdocumentnull.java.
    00052  {
    00053       super(factory);
    00054
    00055    }

## Member Function Documentation

String nodegetownerdocumentnull::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 65 of file nodegetownerdocumentnull.java.
    00065                                 {
    00066       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/nodegetownerdocumentnull";
    00067    }

void nodegetownerdocumentnull::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 68 of file nodegetownerdocumentnull.java. References DOMTestCase::doMain().
    00068                                           {
    00069         DOMTestCase.doMain(nodegetownerdocumentnull.class,args);
    00070    }

void nodegetownerdocumentnull::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 57 of file nodegetownerdocumentnull.java. References DOMTestCase::assertNull(), and DOMTest::load().
    00057                                                     {
    00058       Document doc;
    00059       Document ownerDocument;
    00060       doc = load("staff");
    00061       ownerDocument = doc.getOwnerDocument();
    00062       assertNull("nodeGetOwnerDocumentNullAssert1",ownerDocument);
    00063
    00064    }

The documentation for this class was generated from the following file:

- nodegetownerdocumentnull.java